# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2018-02-01 16:32
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0008_alter_user_username_max_length'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Abet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60, null=True)),
                ('date', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='AbetRubric',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=140)),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('nota_suf', models.IntegerField(blank=True, null=True)),
                ('nota_enpr', models.IntegerField(blank=True, null=True)),
                ('nota_inci', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Academic_record',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='ActivityEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Campus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
            ],
        ),
        migrations.CreateModel(
            name='Carreer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=70)),
            ],
        ),
        migrations.CreateModel(
            name='Carreer_code',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=45, null=True)),
                ('shift', models.CharField(max_length=45, null=True)),
                ('carreer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Carreer')),
            ],
        ),
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=60, null=True)),
                ('subject', models.CharField(blank=True, max_length=60, null=True)),
                ('code', models.CharField(blank=True, max_length=10, null=True)),
                ('nrc', models.CharField(max_length=32)),
                ('active', models.BooleanField(default=True)),
                ('abet_rubric', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.AbetRubric')),
                ('carreer_code', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Carreer_code')),
            ],
        ),
        migrations.CreateModel(
            name='Crit_info',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('suficient', models.TextField(max_length=300)),
                ('inprocess', models.TextField(max_length=300)),
                ('inscipient', models.TextField(max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name='Criteria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(max_length=300)),
                ('criteria_info', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Crit_info')),
            ],
        ),
        migrations.CreateModel(
            name='Designation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('WR', 'Esperando respuesta'), ('AC', 'Aceptada'), ('RE', 'Rechazada')], default='WR', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Evaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=300, null=True)),
                ('percentage', models.IntegerField()),
                ('type_evaluation', models.CharField(choices=[('OB', 'Objetivo'), ('AT', 'Actividad'), ('AV', 'Avance')], default='OB', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Faculty',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
            ],
        ),
        migrations.CreateModel(
            name='Hito',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_technique_percentage', models.IntegerField(default=0)),
                ('total_presentation_percentage', models.IntegerField(default=0)),
                ('total_memory_percentage', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Mail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.TextField(max_length=500)),
                ('date_sent', models.DateTimeField(blank=True, null=True)),
                ('url', models.CharField(blank=True, max_length=100, null=True)),
                ('mail_type', models.CharField(choices=[('SA', 'System Alert'), ('PP', 'Peer to Peer')], default='PP', max_length=2)),
                ('status', models.CharField(choices=[('AC', 'Active'), ('DC', 'Desactive')], default='AC', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Memory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('item', models.CharField(blank=True, max_length=300, null=True)),
                ('percentage', models.IntegerField()),
                ('hito', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Hito')),
            ],
        ),
        migrations.CreateModel(
            name='MemoryEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.IntegerField(blank=True, null=True)),
                ('memory', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Memory')),
            ],
        ),
        migrations.CreateModel(
            name='ObjetiveEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.IntegerField(blank=True, null=True)),
                ('evaluation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Evaluation')),
            ],
        ),
        migrations.CreateModel(
            name='Outcome',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('letter', models.CharField(max_length=1)),
                ('description', models.TextField(max_length=300)),
                ('abet', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Abet')),
            ],
        ),
        migrations.CreateModel(
            name='Period',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_friendly', models.CharField(max_length=60)),
                ('code', models.CharField(blank=True, max_length=6, null=True)),
                ('start', models.DateField(blank=True, null=True)),
                ('finish', models.DateField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Personal_record',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('academic_record', models.ManyToManyField(blank=True, to='core.Academic_record')),
                ('course', models.ManyToManyField(blank=True, to='core.Course')),
            ],
        ),
        migrations.CreateModel(
            name='Postulation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('postulation_type', models.CharField(choices=[('PR', 'Previo'), ('PO', 'Posterior')], default='PO', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='PresentationEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ProgressEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.IntegerField(blank=True, null=True)),
                ('evaluation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Evaluation')),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=70)),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('vacancy_total', models.PositiveIntegerField(null=True)),
                ('vacancy_available', models.PositiveIntegerField(null=True)),
                ('description', models.TextField(max_length=500)),
                ('status', models.CharField(choices=[('ER', 'Revision'), ('EP', 'En Espera De Profesor'), ('AC', 'Aceptado'), ('RE', 'Rechazado'), ('EC', 'En Curso'), ('TE', 'Terminado'), ('CA', 'Caducado')], default='ER', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Retro',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=60, null=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Project')),
            ],
        ),
        migrations.CreateModel(
            name='Rubric',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('description', models.CharField(blank=True, max_length=300, null=True)),
                ('status', models.CharField(choices=[('AC', 'Active'), ('DC', 'Desactive')], default='DC', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Seat',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
            ],
        ),
        migrations.CreateModel(
            name='Section',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(blank=True, max_length=60, null=True)),
                ('n_nrc', models.CharField(max_length=32)),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Course')),
            ],
        ),
        migrations.CreateModel(
            name='Session',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.IntegerField()),
                ('abet', models.IntegerField(default=0)),
                ('rubric', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Rubric')),
            ],
        ),
        migrations.CreateModel(
            name='Shift',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
            ],
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rut', models.IntegerField()),
                ('dv', models.CharField(max_length=1)),
                ('avatar', models.ImageField(default='avatar/profile-pictures.png', upload_to='avatar/')),
                ('transcript', models.FileField(default='transcript/no-transcript.pdf', upload_to='transcript/')),
                ('pga', models.DecimalField(decimal_places=1, default=0, max_digits=5)),
                ('personal_record', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Personal_record')),
                ('project', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.Project')),
            ],
        ),
        migrations.CreateModel(
            name='StudentEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment_progress', models.TextField(max_length=300)),
                ('comment_activity', models.TextField(max_length=300)),
                ('comment_accomplishment', models.TextField(max_length=300)),
                ('objetive_qualification', models.FloatField(default=0)),
                ('activity_qualification', models.FloatField(default=0)),
                ('progress_qualification', models.FloatField(default=0)),
                ('session_qualification', models.FloatField(default=0)),
                ('session', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Session')),
                ('student', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Student')),
            ],
        ),
        migrations.CreateModel(
            name='StudentHitoEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('technique_qualification', models.FloatField(default=0)),
                ('presentation_qualification', models.FloatField(default=0)),
                ('memory_qualification', models.FloatField(default=0)),
                ('hito_qualification', models.FloatField(default=0)),
                ('comment_progress', models.TextField(max_length=300)),
                ('comment_activity', models.TextField(max_length=300)),
                ('comment_accomplishment', models.TextField(max_length=300)),
                ('session', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Session')),
                ('student', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Student')),
            ],
        ),
        migrations.CreateModel(
            name='SubTopic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=32, null=True)),
                ('percentage', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tag_name', models.CharField(max_length=45)),
            ],
        ),
        migrations.CreateModel(
            name='Teacher',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rut', models.IntegerField(null=True)),
                ('dv', models.CharField(max_length=1)),
                ('description', models.TextField(blank=True, max_length=500)),
                ('post_grade', models.CharField(choices=[('PH', 'Doctorado'), ('MA', 'Magister'), ('LI', 'Licenciado')], default='LI', max_length=2)),
                ('teacher_type', models.CharField(choices=[('DO', 'Docente'), ('SA', 'Secretario Acad\xe9mico'), ('DC', 'Director de Carrera')], default='DO', max_length=2)),
                ('avatar', models.ImageField(default='avatar/profile-pictures.png', upload_to='avatar/')),
                ('cv', models.FileField(default='cv/no-cv.pdf', upload_to='cv/')),
                ('personal_record', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Personal_record')),
            ],
        ),
        migrations.CreateModel(
            name='Technique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('item', models.CharField(blank=True, max_length=300, null=True)),
                ('percentage', models.IntegerField()),
                ('hito', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Hito')),
            ],
        ),
        migrations.CreateModel(
            name='TechniqueEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.IntegerField(blank=True, null=True)),
                ('student_hito_evaluation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.StudentHitoEvaluation')),
                ('technique', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Technique')),
            ],
        ),
        migrations.CreateModel(
            name='Topic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=300, null=True)),
                ('hito', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Hito')),
            ],
        ),
        migrations.CreateModel(
            name='User_Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rut', models.CharField(blank=True, max_length=20, null=True)),
                ('nombre', models.CharField(blank=True, max_length=200, null=True)),
                ('perfil_activo', models.CharField(max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Week',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('topic', models.CharField(blank=True, max_length=200, null=True)),
                ('total_objetive_percentage', models.IntegerField(default=0)),
                ('total_progress_percentage', models.IntegerField(default=0)),
                ('total_activity_percentage', models.IntegerField(default=0)),
                ('session', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='week', to='core.Session')),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
            ],
            options={
                'proxy': True,
            },
            bases=('auth.user',),
        ),
        migrations.AddField(
            model_name='teacher',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='subtopic',
            name='topic',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Topic'),
        ),
        migrations.AddField(
            model_name='student',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='section',
            name='teacher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Teacher'),
        ),
        migrations.AddField(
            model_name='rubric',
            name='author',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='rubric',
            name='carreer',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Carreer'),
        ),
        migrations.AddField(
            model_name='retro',
            name='student',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Student'),
        ),
        migrations.AddField(
            model_name='project',
            name='author',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='project',
            name='carreer',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Carreer'),
        ),
        migrations.AddField(
            model_name='project',
            name='faculty',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Faculty'),
        ),
        migrations.AddField(
            model_name='project',
            name='guide_teacher',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Teacher'),
        ),
        migrations.AddField(
            model_name='project',
            name='period',
            field=models.ForeignKey(blank=True, max_length=6, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Period'),
        ),
        migrations.AddField(
            model_name='project',
            name='section',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Section'),
        ),
        migrations.AddField(
            model_name='project',
            name='tags',
            field=models.ManyToManyField(blank=True, to='core.Tag'),
        ),
        migrations.AddField(
            model_name='progressevaluation',
            name='student_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.StudentEvaluation'),
        ),
        migrations.AddField(
            model_name='presentationevaluation',
            name='presentation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.SubTopic'),
        ),
        migrations.AddField(
            model_name='presentationevaluation',
            name='student_hito_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.StudentHitoEvaluation'),
        ),
        migrations.AddField(
            model_name='postulation',
            name='postulant',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Student'),
        ),
        migrations.AddField(
            model_name='postulation',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Project'),
        ),
        migrations.AddField(
            model_name='objetiveevaluation',
            name='student_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.StudentEvaluation'),
        ),
        migrations.AddField(
            model_name='memoryevaluation',
            name='student_hito_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.StudentHitoEvaluation'),
        ),
        migrations.AddField(
            model_name='mail',
            name='receipts',
            field=models.ManyToManyField(blank=True, related_name='mail_receipts', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='mail',
            name='sender',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='mail_sender', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='hito',
            name='session',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='hito', to='core.Session'),
        ),
        migrations.AddField(
            model_name='evaluation',
            name='week',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Week'),
        ),
        migrations.AddField(
            model_name='designation',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Project'),
        ),
        migrations.AddField(
            model_name='designation',
            name='target_teacher',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Teacher'),
        ),
        migrations.AddField(
            model_name='criteria',
            name='outcome',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Outcome'),
        ),
        migrations.AddField(
            model_name='course',
            name='rubric',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Rubric'),
        ),
        migrations.AddField(
            model_name='activityevaluation',
            name='evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Evaluation'),
        ),
        migrations.AddField(
            model_name='activityevaluation',
            name='student_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.StudentEvaluation'),
        ),
        migrations.AddField(
            model_name='academic_record',
            name='campus',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Campus'),
        ),
        migrations.AddField(
            model_name='academic_record',
            name='carreer_code',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Carreer_code'),
        ),
        migrations.AddField(
            model_name='academic_record',
            name='faculty',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Faculty'),
        ),
        migrations.AddField(
            model_name='academic_record',
            name='seat',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Seat'),
        ),
        migrations.AddField(
            model_name='abetrubric',
            name='author',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='abetrubric',
            name='carreer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Carreer'),
        ),
        migrations.AddField(
            model_name='abetrubric',
            name='outcomes',
            field=models.ManyToManyField(blank=True, to='core.Outcome'),
        ),
        migrations.AddField(
            model_name='abet',
            name='author',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='abet',
            name='carreer',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Carreer'),
        ),
    ]
